Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdp.parlayx.presence.supplier
Class PresenceSupplierClient

    java.lang.Object
      oracle.sdp.parlayx.presence.supplier.PresenceSupplierClient

    public class PresenceSupplierClient

extends Object

Constructor Summary
`PresenceSupplierClient()`
`PresenceSupplierClient(String assertedId)` This is the only method inserted into the automatic generated code.

Method Summary
`void` | `blockSubscription(URI watcher)` This method is implemented per Parlay X 2.1 specification.
`oracle.webservices.transport.ClientTransport` | `getClientTransport()` returns the transport context
`String` | `getEndpoint()`
`boolean` | `getMaintainSession()`
`URI[]` | `getMyWatchers()` This method is implemented per Parlay X 2.1 specification.
`org.csapi.schema.parlayx.presence.v2_3.SubscriptionRequest[]` | `getOpenSubscriptions()` This method is implemented per Parlay X 2.1 specification.
`String` | `getPassword()`
`oracle.sdp.parlayx.presence.supplier.PresenceSupplier` | `getPort()` used to access the JAX-RPC level APIs returns the interface of the port instance
`org.csapi.schema.parlayx.presence.v2_3.PresenceAttributeType[]` | `getSubscribedAttributes(URI watcher)` Since watcher can only suscribe for you Activity, it will only return Activity if a watcher is on you allow list.
`String` | `getUsername()`
`static void` | `main(String[] args)`
`void` | `publish(org.csapi.schema.parlayx.presence.v2_3.PresenceAttribute[] presence)` This method is implemented as specified in Parlay X 2.1 specification with the following Oracle Extension Currently, only OtherValue and ActivityValue is supported. To terminate a publication, pass in the OtherValue("Expires", 0) as a PresenceAttribute in the parameter presence To publish a device note, pass in the OtherValue("DeviceNote", note) as a PresenceAttribute in the parameter presence To publish a service note, pass in the OtherValue("ServiceNote", note) as a PresenceAttribute in the parameter presence To publish a raw PIDF, pass in the OtherValue("RawPidf", pidf) as a PresenceAttribute in the parameter presence.
`void` | `setEndpoint(String endpoint)`
`void` | `setMaintainSession(boolean maintainSession)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`
`void` | `updateSubscriptionAuthorization(URI watcher, org.csapi.schema.parlayx.presence.v2_3.PresencePermission[] decisions)` This method is implemented per Parlay X 2.1 specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PresenceSupplierClient

    public PresenceSupplierClient()
                           throws Exception

Throws:
  `Exception`

### PresenceSupplierClient

    public PresenceSupplierClient(String assertedId)
                           throws Exception

  This is the only method inserted into the automatic generated code. It registers the assertedIdentityHandler to insert the SOAP header. This constructor should be called if the client is in the trusted host list of the Aggregation Proxy

  Parameters:
    `assertedId` - The asserted identity to be used to identify the user.
  Throws:
    `Exception`

Method Detail

### main

    public static void main(String[] args)

  Parameters:
    `args` -

### publish

    public void publish(org.csapi.schema.parlayx.presence.v2_3.PresenceAttribute[] presence)
                 throws RemoteException,
                        org.csapi.schema.parlayx.common.v2_1.ServiceException,
                        org.csapi.schema.parlayx.common.v2_1.PolicyException

  This method is implemented as specified in Parlay X 2.1 specification with the following Oracle Extension
  - Currently, only OtherValue and ActivityValue is supported.
  - To terminate a publication, pass in the OtherValue("Expires", 0) as a PresenceAttribute in the parameter presence
  - To publish a device note, pass in the OtherValue("DeviceNote", note) as a PresenceAttribute in the parameter presence
  - To publish a service note, pass in the OtherValue("ServiceNote", note) as a PresenceAttribute in the parameter presence
  - To publish a raw PIDF, pass in the OtherValue("RawPidf", pidf) as a PresenceAttribute in the parameter presence. Note that all other attributes passed in will be ignored and overridden by the raw pidf passed in. The only exception is the value pair "Expires". Also note that no XML validation is done by the webservice.

  Parameters:
    `presence` - An array of presence attributes.
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`

### getOpenSubscriptions

    public org.csapi.schema.parlayx.presence.v2_3.SubscriptionRequest[] getOpenSubscriptions()
                                                                                      throws RemoteException,
                                                                                             org.csapi.schema.parlayx.common.v2_1.PolicyException,
                                                                                             org.csapi.schema.parlayx.common.v2_1.ServiceException

  This method is implemented per Parlay X 2.1 specification.

  Returns:
    An array of pending subscription requests.
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`

### updateSubscriptionAuthorization

    public void updateSubscriptionAuthorization(URI watcher,
                                                org.csapi.schema.parlayx.presence.v2_3.PresencePermission[] decisions)
                                         throws RemoteException,
                                                org.csapi.schema.parlayx.common.v2_1.ServiceException,
                                                org.csapi.schema.parlayx.common.v2_1.PolicyException

  This method is implemented per Parlay X 2.1 specification.

  Parameters:
    `watcher` - SIP address of the watcher you want to update its subscription authorization.
    `decisions` - The decision on permission.
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`

### getMyWatchers

    public URI[] getMyWatchers()
                        throws RemoteException,
                               org.csapi.schema.parlayx.common.v2_1.PolicyException,
                               org.csapi.schema.parlayx.common.v2_1.ServiceException

  This method is implemented per Parlay X 2.1 specification.

  Returns:
    An array of allowed watchers.
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`

### getSubscribedAttributes

    public org.csapi.schema.parlayx.presence.v2_3.PresenceAttributeType[] getSubscribedAttributes(URI watcher)
                                                                                           throws RemoteException,
                                                                                                  org.csapi.schema.parlayx.common.v2_1.PolicyException,
                                                                                                  org.csapi.schema.parlayx.common.v2_1.ServiceException

  Since watcher can only suscribe for you Activity, it will only return Activity if a watcher is on you allow list.

  Parameters:
    `watcher` - SIP address of the watcher you want to query.
  Returns:
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`

### blockSubscription

    public void blockSubscription(URI watcher)
                           throws RemoteException,
                                  org.csapi.schema.parlayx.common.v2_1.ServiceException,
                                  org.csapi.schema.parlayx.common.v2_1.PolicyException

  This method is implemented per Parlay X 2.1 specification.

  Parameters:
    `watcher` - Watcher that you want to put on the block list.
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`

### getPort

    public oracle.sdp.parlayx.presence.supplier.PresenceSupplier getPort()

  used to access the JAX-RPC level APIs returns the interface of the port instance

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### setMaintainSession

    public void setMaintainSession(boolean maintainSession)

### getMaintainSession

    public boolean getMaintainSession()

### getClientTransport

    public oracle.webservices.transport.ClientTransport getClientTransport()

  returns the transport context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.